Subject: Re: [net-next-2.6 v2] can: add support for CAN interface cards based on the PLX90xx PCI bridge

From: Wolfgang Grandegger <[email-masked]>
Date: Tue, 02 Feb 2010 09:02:58 +0100

Ira W. Snyder wrote:
> On Mon, Feb 01, 2010 at 09:31:06PM +0100, Wolfgang Grandegger wrote:
>> Ira W. Snyder wrote:
>>> On Tue, Feb 02, 2010 at 01:42:44AM +0600, Pavel B. Cheblakov wrote:
>>>> From: Pavel Cheblakov <[email-masked]>
>>>>
>>>> This driver is for CAN interface cards based on the PLX90xx PCI bridge.
>>>> Driver supports now:
>>>>  - Adlink PCI-7841/cPCI-7841 card (http://www.adlinktech.com/)
>>>>  - Adlink PCI-7841/cPCI-7841 SE card
>>>>  - Marathon CAN-bus-PCI card (http://www.marathon.ru/)
>>>>  - TEWS TECHNOLOGIES TPMC810 card (http://www.tews.com/)
>>>>
>>>> Changes since v1:
>>>>  - Added some defines for static inline int plx_pci_check_sja1000(...)
>>>>  - static struct pci_device_id plx_pci_tbl[] replaced by
>>>>    static DEFINE_PCI_DEVICE_TABLE(plx_pci_tbl)
>>>>  - Typo fixed
>>>>
>>> Hello,
>>>
>>> Any ideas if this driver could support the Janz PCI CAN cards as well? I
>>> don't have any documentation for the cards, and I'd love to get away
>>> from their closed-source drivers.
>> Is it a passive or and intelligent CAN PCI card? What is the name of the
>> card? A intelligent card will run its own firmware and you do not have
>> direct access to the SJA1000. Pavel plx_pci driver is quite generic and
>> it should not be a big deal to support a PLX90xx based passive card.
>>
> 
> It is an intelligent CAN PCI card. I'm pretty sure they're the card
> described here: http://www.janz.de/as/en/can-cp6/k2.html
> 
> Since this driver is for passive cards, it clearly won't work. Are there
> any examples of drivers written for intelligent CAN cards? Until I found
> the website above, I'd never seen any data sheets for this card. They
> look like they may have enough information to write a driver to
> interface with the new Linux CAN layer.

The esd_pci331 driver from the SVN repository is for an intelligent
card, if I remember correctly. But using an intelligent card just for
the raw CAN protocol seems kind of overkill to me.

> We should probably start a new thread about this, it is getting
> off-topic for Pavel's CAN driver. Is the socketcan mailing list ok for
> this kind of discussion?

Of course, if it's about Socket-CAN.

Wolfgang.

> Thanks,
> Ira
> _______________________________________________
> Socketcan-core mailing list
> [email-masked]
> https://lists.berlios.de/mailman/listinfo/socketcan-core
> 
>